* Hypothesis testing of nonpredictability of discoveries
* Table IV
* Included in news_reg.do
* 07/20/2015
* added global yearlist 09/09/2015


* we use logit model to have FE estimtor, in stata xtprobit does not have fixed effec estimtor 

set more off
global predvar ca1 ca2 ca3  inv1 inv2 inv3
global convar discovery1  discovery2 discovery3 discovery4 discovery5 discovery6  discovery7 discovery8 discovery9 discovery10
global yearlist _Iyear_1980-_Iyear_2012
*******************************************************


* Column A.Row 1: linear probability model without control for previous discoveries: 1980-2012
xtreg discovery $predvar  $yearlist if year>1979 & year<2013 , fe vce(robust)
test $predvar
scalar pvalue=r(p)
mat TA=pvalue


* Column A.Row 2: logit model without control for previous discoveries: 1980-2012
set seed 12345678
xtlogit discovery $predvar  $yearlist if year>1979 & year<2013, fe vce(bootstrap)
test $predvar
scalar pvalue=r(p)
mat TA=TA\pvalue


* Column B.Row 1: linear probability model without control for previous discoveries : 1970-2012
xtreg discovery $predvar  $yearlist if year>1969 & year<2013, fe vce(robust)
test $predvar
scalar pvalue=r(p)
mat TB=pvalue


* Column B. Row 2: logit model without control for previous discoveries: 1970-2012
set seed 12345678
xtlogit discovery $predvar  $yearlist if year>1969 & year<2013, fe vce(bootstrap)
test $predvar
scalar pvalue=r(p)
mat TB=TB\pvalue


* Column C. Row 1. linear probability model with control for previous discoveries: 1980-2012
xtreg discovery $predvar $convar $yearlist if year>1979 & year<2013, fe vce(robust)
test $predvar
scalar pvalue=r(p)
mat TC=pvalue


* Column C.Row 2. logit model with control for previous discoveries: 1980-2012
set seed 12345678
xtlogit discovery $predvar $convar $yearlist if year>1979 & year<2013, fe vce(bootstrap)
test $predvar
scalar pvalue=r(p)
mat TC=TC\pvalue


* Column D.Row 1. linear probability model : 1970-2012
xtreg discovery $predvar $convar $yearlist if year>1969 & year<2013, fe vce(robust)
test $predvar
scalar pvalue=r(p)
mat TD=pvalue


* Column D.Row 2. logit model with control for previous discoveries: 1970-2012
set seed 12345678
xtlogit discovery $predvar $convar $yearlist if year>1969 & year<2013, fe vce(bootstrap)
test $predvar
scalar pvalue=r(p)
mat TD=TD\pvalue


mat T=TA,TB,TC,TD
matlist T

preserve
svmat T
keep in 1/2
keep T1-T4
gen Model="Linear"
replace Model="Logit" in 2/2
move Model T1
ren T1 T1980_2012
ren T2 T1970_2012

ren T3 TT1980_2012
ren T4 TT1970_2012


format T* %9.2f
save $savefolder\table_iv.dta,replace
restore
