*******************************************************************************************************************************************
* Flexible hypothesis testing
* This code works only after nlcom with post option
*******************************************************************************************************************************************

** for integral 0-4 periods
nlcom (cirf1:_b[irf0]+_b[irf1]+_b[irf2]+_b[irf3]+_b[irf4]),level(90)

*nlcom (cirf1:`irf0'+`irf1'+`irf2'+`irf3'+`irf4'),level(90)


mat b=r(b)
mat V=r(V)

local tt=b[1,1]/sqrt(V[1,1])
local pv1=2*ttail(r(df_r),abs(`tt'))
local pv2=ttail(r(df_r), `tt')
local pv3=1-ttail(r(df_r),`tt')

local pv1text="Ho: summ of (irf0,..,irf4) = 0   p-value = " 
local pv2text="Ho: summ of (irf0,..,irf4) <= 0  p-value = " 
local pv3text="Ho: summ of (irf0,..,irf4) >= 0  p-value = " 


** for integral 5-11 periods.

nlcom (cirf5 :_b[irf5]+_b[irf6]+_b[irf7]+_b[irf8]+_b[irf9]+_b[irf10]+_b[irf11]),level(90) 

*nlcom (cirf5 :`irf5'+`irf6'+`irf7'+`irf8'+`irf9'+`irf10'+`irf11'),level(90) 


mat b=r(b)
mat V=r(V)

local tt=b[1,1]/sqrt(V[1,1])
local pv4=2*ttail(r(df_r),abs(`tt'))
local pv5=ttail(r(df_r), `tt')
local pv6=1-ttail(r(df_r),`tt')

local pv4text="Ho: summ of (irf5,..,irf11) = 0   p-value = " 
local pv5text="Ho: summ of (irf5,..,irf11) <= 0  p-value = " 
local pv6text="Ho: summ of (irf5,..,irf11) >= 0  p-value = " 




** ** for integral 0-11 periods.

nlcom (cirf11:_b[irf0]+_b[irf1]+_b[irf2]+_b[irf3]+_b[irf4]+_b[irf5]+_b[irf6]+_b[irf7]+_b[irf8]+_b[irf9]+_b[irf10]+_b[irf11]),level(90) 

*nlcom (cirf11:`irf0'+`irf1'+`irf2'+`irf3'+`irf4'+`irf5'+`irf6'+`irf7'+`irf8'+`irf9'+`irf10'+`irf11'),level(90)

mat b=r(b)
mat V=r(V)

local tt=b[1,1]/sqrt(V[1,1])
local pv7=2*ttail(r(df_r),abs(`tt'))
local pv8=ttail(r(df_r), `tt')
local pv9=1-ttail(r(df_r),`tt')

local pv7text="Ho: summ of (irf0,..,irf11) = 0   p-value = " 
local pv8text="Ho: summ of (irf0,..,irf11) <= 0  p-value = " 
local pv9text="Ho: summ of (irf0,..,irf11) >= 0  p-value = " 

* display results
forvalues i=1/9 {
display "`pv`i'text'"  `pv`i''
local i=`i'+1
}



** save all p-values in matrix pv. 
mat pv=J(9,1,0)
local i=1
forvalues i=1/9 {
mat pv[`i',1]=`pv`i''
local i=`i'+1
}

svmat pv
gen m=_n if pv1!=.
gen h0="h0"

forvalues i=1/9 {
replace h0="`pv`i'text'" if m==`i'
local i=`i'+1
}

move h0 pv1
drop m

*drop pv1 h0
**********************************************************************************************************************************
